﻿Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UIStyler
'------------------------------------------------------------------------------
' Represents UI Styler application class
'------------------------------------------------------------------------------
Public Class Selectpart3
    ' class members
    Private Shared theSession As Session
    Private Shared theUI As UI
    Public Shared theSelectpart3 As Selectpart3
    Private theDialog As Dialog
    Private changeDialog As NXOpen.UIStyler.DialogItem
    Private changeLabel1 As NXOpen.UIStyler.LabelItem
    Private changeBlo0 As NXOpen.UIStyler.ButtonLayout
    Public Shared isDisposeCalled As Boolean

#Region " UI Styler Dialog Designer generator code "
    '------------------------------------------------------------------------------
    ' Constructor for NX Styler class
    '------------------------------------------------------------------------------
    Public Sub New()
        Try
            theSession = Session.GetSession()
            theUI = UI.GetUI()
            theDialog = theUI.Styler.CreateStylerDialog("selectpart3.dlg")
            InitializeUIStylerDialog()
            isDisposeCalled = False
        Catch ex As NXException
            ' ---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("UI Styler", NXMessageBox.DialogType.Error, ex.Message)
        End Try
    End Sub

    '------------------------------------------------------------------------------
    ' This method is required for UI styler dialog creation
    '------------------------------------------------------------------------------
    Private Sub InitializeUIStylerDialog()
        '------------------------------------------------------------------------------
        ' The following code snippets initializes all the styler items and associate
        ' respective callbacks. Attributes of the styler item can be accessed and
        ' modified only after calling Show() or RegisterWithUiMenu().
        '------------------------------------------------------------------------------
        Try
            changeDialog = theDialog.GetStylerItem("UF_STYLER_DIALOG_INDEX", NXOpen.UIStyler.Dialog.ItemType.DialogItem)
            changeDialog.AddApplyHandler(AddressOf apply_cb, False)
            changeLabel1 = theDialog.GetStylerItem("LABEL_1", NXOpen.UIStyler.Dialog.ItemType.LabelItem)
            changeBlo0 = theDialog.GetStylerItem("BLO_0", NXOpen.UIStyler.Dialog.ItemType.ButtonLayout)
            changeBlo0.AddActivateHandler(AddressOf blo_0_act_cb, False)
        Catch ex As NXException
            ' ---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("UI Styler", NXMessageBox.DialogType.Error, ex.Message)
        End Try
    End Sub

#End Region
 
    Public Shared Sub Main()
        Try
            Dim response As NXOpen.UIStyler.DialogResponse
            ' For Journal play back uncomment calls for LockAccess and UnlockAccess
            theSelectpart3 = New Selectpart3()
            theUI.LockAccess()
            ' The following method shows the dialog immediately
            response = theSelectpart3.Show()
            theSelectpart3.Dispose()
        Catch ex As NXException
            ' ---- Enter your exception handling code here -----
        Finally
            theUI.UnlockAccess()
        End Try
    End Sub
    '------------------------------------------------------------------------------
    ' This method shows the dialog on the screen
    '------------------------------------------------------------------------------
    Public Function Show() As NXOpen.UIStyler.DialogResponse
        Try
            Show = theDialog.Show()
        Catch ex As NXException
            ' ---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("UI Styler", NXMessageBox.DialogType.Error, ex.Message)
        End Try
    End Function

    '------------------------------------------------------------------------------
    ' Following method disposes all the class members
    '------------------------------------------------------------------------------
    Sub Dispose()
        Try
            If (isDisposeCalled = False) Then
                changeDialog.Dispose()
                changeLabel1.Dispose()
                changeBlo0.Dispose()
                theDialog.Dispose()
            End If
            isDisposeCalled = True
        Catch ex As NXException
            ' ---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("UI Styler", NXMessageBox.DialogType.Error, ex.Message)
        End Try
    End Sub


    Public Function apply_cb(ByVal eventObject As NXOpen.UIStyler.StylerEvent) As NXOpen.UIStyler.DialogState
        Try
            ' ---- Enter your callback code here -----
        Catch ex As NXException
            ' ---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("UI Styler", NXMessageBox.DialogType.Error, ex.Message)
        End Try
        ' Callback acknowledged, do not terminate dialog
        ' A return value of NXOpen.UIStyler.DialogState.ExitDialog will not be accepted
        ' for this callback type. You must respond to your apply button.
        apply_cb = NXOpen.UIStyler.DialogState.ContinueDialog
    End Function
    '------------------------------------------------------------------------------
    ' Callback Name: back_cb
    ' Following callback is associated with the "changeDialog" Styler item.
    ' Input: eventObject - object of UIStyler.StylerEvent class
    '------------------------------------------------------------------------------
    Public Function back_cb(ByVal eventObject As NXOpen.UIStyler.StylerEvent) As NXOpen.UIStyler.DialogState
        Try
            ' ---- Enter your callback code here -----
        Catch ex As NXException
            ' ---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("UI Styler", NXMessageBox.DialogType.Error, ex.Message)
        End Try
        ' Callback acknowledged, terminate dialog
        ' It is STRONGLY recommanded that you exit your
        ' callback with NXOpen.UIStyler.DialogState.ExitDialog in a back callback
        ' rather than NXOpen.UIStyler.DialogState.ContinueDialog
        back_cb = NXOpen.UIStyler.DialogState.ExitDialog
    End Function
    '------------------------------------------------------------------------------
    ' Callback Name: blo_0_act_cb
    ' Following callback is associated with the "changeBlo0" Styler item.
    ' Input: eventObject - object of UIStyler.StylerEvent class
    '------------------------------------------------------------------------------
    Public Function blo_0_act_cb(ByVal eventObject As NXOpen.UIStyler.StylerEvent) As NXOpen.UIStyler.DialogState
        Try
            ' ---- Enter your callback code here -----
        Catch ex As NXException
            ' ---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("UI Styler", NXMessageBox.DialogType.Error, ex.Message)
        End Try
        ' Callback acknowledged, do not terminate dialog
        blo_0_act_cb = NXOpen.UIStyler.DialogState.ContinueDialog
        ' or Callback acknowledged, terminate dialog.
        ' blo_0_act_cb = NXOpen.UIStyler.DialogState.ExitDialog
    End Function

End Class
